OpenTTD Source: src/network/core/os_abstraction.h File Reference

OpenTTD Source 12.0-beta1

Data Structures | Functions
os_abstraction.h File Reference

Go to the source code of this file.

## Data Structures
class | NetworkError
| Abstraction of a network error where all implementation details of the error codes are encapsulated in this class and the abstraction layer. More...

## Functions
bool | SetNonBlocking (SOCKET d)
| Try to set the socket into non-blocking mode. More...
bool | SetNoDelay (SOCKET d)
| Try to set the socket to not delay sending. More...
bool | SetReusePort (SOCKET d)
| Try to set the socket to reuse ports. More...
NetworkError | GetSocketError (SOCKET d)
| Get the error from a socket, if any. More...

## Detailed Description

Network stuff has many things that needs to be included and/or implemented by default. All those things are in this file.

Definition in file os_abstraction.h.

## Function Documentation

## ◆ GetSocketError()

NetworkError GetSocketError | ( | SOCKET | d | ) |

Get the error from a socket, if any.

Parameters

  d | The socket to get the error from.

Returns
  The errno on the socket.

Definition at line 184 of file os_abstraction.cpp.

Referenced by TCPConnecter::CheckActivity().

## ◆ SetNoDelay()

bool SetNoDelay | ( | SOCKET | d | ) |

Try to set the socket to not delay sending.

Parameters

  d | The socket to disable the delaying for.

Returns
  True if disabling the delaying succeeded, otherwise false.

Definition at line 151 of file os_abstraction.cpp.

Referenced by TCPListenHandler< ServerNetworkGameSocketHandler, PACKET_SERVER_FULL, PACKET_SERVER_BANNED >::AcceptClient(), TCPConnecter::Connect(), and ListenLoopProc().

## ◆ SetNonBlocking()

bool SetNonBlocking | ( | SOCKET | d | ) |

Try to set the socket into non-blocking mode.

Parameters

  d | The socket to set the non-blocking more for.

Returns
  True if setting the non-blocking mode succeeded, otherwise false.

Definition at line 133 of file os_abstraction.cpp.

Referenced by TCPListenHandler< ServerNetworkGameSocketHandler, PACKET_SERVER_FULL, PACKET_SERVER_BANNED >::AcceptClient(), TCPConnecter::Connect(), ListenLoopProc(), and NetworkUDPSocketHandler::ReceivePackets().

## ◆ SetReusePort()

bool SetReusePort | ( | SOCKET | d | ) |

Try to set the socket to reuse ports.

Parameters

  d | The socket to reuse ports on.

Returns
  True if disabling the delaying succeeded, otherwise false.

Definition at line 167 of file os_abstraction.cpp.

Referenced by TCPConnecter::Connect(), and ListenLoopProc().